oowhereis(1)

NAME
oowhereis - OOC file finder

SYNOPSIS
oowhereis [options] <file-name>

DESCRIPTION
oowhereis searches the directories listed in the PATHS sections of the initialization files for a matching file name. The full path (including the directory part) of the first file found is written to stdout. If a RCS master file is found, the name of the associated working file is returned by default, even the working file does not exist at the time of the query.

OPTIONS

--rcs-master, -r
    If a RCS master file is found, but no associated working file, return the name of the master.

--config <file>
    Use given file name for the primary initialization file. An empty name disables parsing of the default initialization file.

--include-config <file>
    Include the given initialization file in addition to the default initialization file.

--version
    Write compiler version and exit.

--help, -h
    Write short usage summary and exit.

ENVIRONMENT
OOC_HOME holds the name of the primary initialization file.

DIAGNOSTICS
Exit status is 0 if a matching file is found, and 1 otherwise.

SEE ALSO
oo2c(1), OOC Reference Manual

AUTHOR
Michael van Acken <acken@informatik.uni-kl.de>